## libz-mingw-w64 1.3.2+dfsg

=== contrib/gcc_gvmat64/CMakeLists.txt ===
enable_language(ASM)

# Need to push CMAKE_ASM_COMPILE_OBJECT to cache as otherwise it's not
# available in top-level

set(CMAKE_ASM_COMPILE_OBJECT ${CMAKE_ASM_COMPILE_OBJECT} CACHE INTERNAL "" FORCE)

if(MSVC)
    #cmake 4.1 doesn't consider cl an asm compiler
    cmake_policy(SET CMP0194 NEW)
endif(MSVC)

if(ZLIB_BUILD_SHARED)
    target_sources(zlib PRIVATE gvmat64.S)
endif(ZLIB_BUILD_SHARED)

if(ZLIB_BUILD_STATIC)
    target_sources(zlibstatic PRIVATE gvmat64.S)
endif(ZLIB_BUILD_STATIC)

## libz-mingw-w64 1.2.8+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.2.8+dfsg-2) unstable; urgency=medium

  * Switch to https: VCS URIs (see #810378).
  * Ship static libraries. Closes: #814868; thanks to Daniel Kahn
    Gillmor for the patch!
  * This is of course zlib upstream; correct debian/copyright
    accordingly.

 -- Stephen Kitt <skitt@debian.org>  Tue, 16 Feb 2016 12:23:57 +0100

libz-mingw-w64 (1.2.8+dfsg-1) unstable; urgency=low

  * Initial release. Closes: #759762. LP: #1022397.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Jan 2016 19:33:05 +0100

=== debian/control ===
Source: libz-mingw-w64
Section: libs
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends:
 debhelper (>=9)
Build-Depends-Indep:
 gcc-mingw-w64
Standards-Version: 3.9.6
Homepage: http://zlib.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libz-mingw-w64.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libz-mingw-w64.git

Package: libz-mingw-w64
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: compression library - Windows runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP. This package includes the DLLs for 32- and 64-bit
 Windows.

Package: libz-mingw-w64-dev
Section: libdevel
Architecture: all
Depends:
 libz-mingw-w64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: compression library - Windows development files
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP. This package includes the development support
 files for 32- and 64-bit Windows.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

TARGETS := i686-w64-mingw32 x86_64-w64-mingw32

%:
	dh $@

override_dh_auto_clean:
	for target in $(TARGETS); do \
		rm -rf build-$$target; \
	done
	dh_auto_clean

override_dh_auto_configure:

override_dh_auto_build:
	for target in $(TARGETS); do \
		mkdir -p build-$$target && \
		cd build-$$target && \
		ln -s ../*.[ch] ../*.pc.in ../test ../win32 . && \
		make -f win32/Makefile.gcc PREFIX=$${target}- && \
		cd ..; \
	done

override_dh_auto_install:
	for target in $(TARGETS); do \
		cd build-$$target && \
		make -f win32/Makefile.gcc PREFIX=$${target}- DESTDIR=../debian/tmp BINARY_PATH=/usr/$${target}/lib INCLUDE_PATH=/usr/$${target}/include LIBRARY_PATH=/usr/$${target}/lib SHARED_MODE=1 prefix=/usr install && \
		cd ..; \
	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg \
http://zlib.net zlib(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libz-mingw-w64 1.2.11+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.2.11+dfsg-4) unstable; urgency=medium

  * Link GCC dependencies statically, and check that the DLL has no GCC
    dependencies. Closes: #1006725.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Mar 2022 15:09:22 +0100

libz-mingw-w64 (1.2.11+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Stephen Kitt ]
  * Set “Rules-Requires-Root: no”.
  * Switch to debhelper compatibility level 13.
  * Update debian/watch to version 4 and simplify.
  * Standards-Version 4.6.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Sep 2021 17:49:12 +0200

libz-mingw-w64 (1.2.11+dfsg-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Install examples in libz-mingw-w64-dev.
  * Update debian/copyright.
  * Switch to debhelper compatibility level 11.
  * Remove unnecessary commented statements from debian/rules.
  * Indicate that the packages are “Multi-Arch: foreign”.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 20:24:45 +0200

libz-mingw-w64 (1.2.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 20 Jan 2017 20:54:14 +0100

libz-mingw-w64 (1.2.10+dfsg-1) unstable; urgency=medium

  * New upstream release, merging all patches.
  * Add upstream signing key.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jan 2017 08:55:54 +0100

libz-mingw-w64 (1.2.8+dfsg-4) unstable; urgency=medium

  * Apply upstream fixes for CVE-2016-9842 and CVE-2016-9843.

 -- Stephen Kitt <skitt@debian.org>  Tue, 06 Dec 2016 22:21:15 +0100

libz-mingw-w64 (1.2.8+dfsg-3) unstable; urgency=medium

  * Apply upstream fixes for CVE-2016-9840 and CVE-2016-9841.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 06 Dec 2016 22:13:40 +0100

=== debian/control ===
Source: libz-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: gcc-mingw-w64, pev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64.git
Homepage: https://zlib.net/
Rules-Requires-Root: no

Package: libz-mingw-w64
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: compression library - Windows runtime
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP. This package includes the DLLs for 32- and 64-bit
 Windows.

Package: libz-mingw-w64-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: libz-mingw-w64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: compression library - Windows development files
 zlib is a library implementing the deflate compression method found
 in gzip and PKZIP. This package includes the development support
 files for 32- and 64-bit Windows.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,4 @@
 #!/usr/bin/make -f
-# You must remove unused comment lines for the released package.
-#export DH_VERBOSE = 1
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 TARGETS := i686-w64-mingw32 x86_64-w64-mingw32
 
@@ -23,7 +18,8 @@
 		mkdir -p build-$$target && \
 		cd build-$$target && \
 		ln -s ../*.[ch] ../*.pc.in ../test ../win32 . && \
-		make -f win32/Makefile.gcc PREFIX=$${target}- && \
+		make -f win32/Makefile.gcc PREFIX=$${target}- LDFLAGS=-static-libgcc && \
+		! (peldd zlib1.dll | grep -q libgcc) || exit 1 && \
 		cd ..; \
 	done

## libz-mingw-w64 1.2.12+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.2.12+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Mar 2022 13:18:09 +0200

libz-mingw-w64 (1.2.11+dfsg-5) unstable; urgency=medium

  * Fix a bug that can crash deflate on some input when using Z_FIXED
    (CVE-2018-25032).

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Mar 2022 10:15:33 +0100

## libz-mingw-w64 1.2.13%2Bdfsg

=== debian/changelog ===
libz-mingw-w64 (1.2.13+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Stephen Kitt <skitt@debian.org>  Sat, 29 Oct 2022 09:34:50 +0200

libz-mingw-w64 (1.2.13+dfsg-1) unstable; urgency=medium

  * New upstream release, merging all patches.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Oct 2022 11:27:34 +0200

libz-mingw-w64 (1.2.12+dfsg-2) unstable; urgency=medium

  * Fix a bug when getting a gzip header extra field with inflate()
    (CVE-2022-37434).
  * Update lintian overrides.
  * Standards-Version 4.6.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 Sep 2022 09:00:03 +0200

## libz-mingw-w64 1.2.13+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gcc-mingw-w64, pev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64.git
 Homepage: https://zlib.net/

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg,pgpsigurlmangle=s/$/.asc/ \
https://zlib.net zlib-@ANY_VERSION@@ARCHIVE_EXT@

## libz-mingw-w64 1.3+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 23 Aug 2023 08:19:22 +0200

## libz-mingw-w64 1.3.1%2Bdfsg

=== debian/changelog ===
libz-mingw-w64 (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Jan 2024 18:32:26 +0100

## libz-mingw-w64 1.3.1+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.3.1+dfsg-2) unstable; urgency=medium

  * Build-depend on readpe instead of pev. Closes: #1050056.
  * Build for 64-bit UCRT.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 24 Jan 2025 19:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Indep: gcc-mingw-w64, pev
-Standards-Version: 4.6.1
+Build-Depends-Indep: gcc-mingw-w64, gcc-mingw-w64-ucrt64, readpe
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64.git
 Homepage: https://zlib.net/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-TARGETS := i686-w64-mingw32 x86_64-w64-mingw32
+TARGETS := i686-w64-mingw32 x86_64-w64-mingw32 x86_64-w64-mingw32ucrt
 
 %:
 	dh $@

## libz-mingw-w64 1.3.2+dfsg

=== debian/changelog ===
libz-mingw-w64 (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop the signing key, it uses SHA-1 which sqv doesn’t accept. See
    #1118154.
  * Remove the old FSF address from debian/copyright.
  * Extend Lintian overrides to cover the UCRT binaries too.
  * Remove a reference to an external icon to avoid external queries
    when viewing the documentation.
  * Drop “Rules-Requires-Root: no” since it’s now the default.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 28 Feb 2026 19:53:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: libz-mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
-Priority: optional
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: gcc-mingw-w64, gcc-mingw-w64-ucrt64, readpe
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/libz-mingw-w64.git
 Homepage: https://zlib.net/
-Rules-Requires-Root: no
 
 Package: libz-mingw-w64
 Architecture: all

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://zlib.net zlib-@ANY_VERSION@@ARCHIVE_EXT@
